Package org.apache.commons.math3.analysis.solvers

# Enum BaseSecantSolver.Method

java.lang.Object
java.lang.Enum<BaseSecantSolver.Method>
org.apache.commons.math3.analysis.solvers.BaseSecantSolver.Method

All Implemented Interfaces:
  `Serializable`, `Comparable<BaseSecantSolver.Method>`, `java.lang.constant.Constable`

Enclosing class:
  `BaseSecantSolver`

protected static enum BaseSecantSolver.Method extends Enum<BaseSecantSolver.Method>
Secant-based root-finding methods.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ILLINOIS`
The `Illinois` method.
`PEGASUS`
The `Pegasus` method.
`REGULA_FALSI`
The `Regula Falsi` or False Position method.

## Method Summary

Modifier and Type
Method
Description
`static BaseSecantSolver.Method`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static BaseSecantSolver.Method[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### REGULA_FALSI

public static final BaseSecantSolver.Method REGULA_FALSI
The `Regula Falsi` or False Position method.

### ILLINOIS

public static final BaseSecantSolver.Method ILLINOIS
The `Illinois` method.

### PEGASUS

public static final BaseSecantSolver.Method PEGASUS
The `Pegasus` method.

## Method Details

### values

public static BaseSecantSolver.Method[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static BaseSecantSolver.Method valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null